Package org.pushingpixels.flamingo.api.common

# Class CommandButtonLayoutManager.CommandButtonLayoutInfo

java.lang.Object
org.pushingpixels.flamingo.api.common.CommandButtonLayoutManager.CommandButtonLayoutInfo

Enclosing interface:
  `CommandButtonLayoutManager`

public static class CommandButtonLayoutManager.CommandButtonLayoutInfo extends Object
Layout information on different visual parts of a single command button.

## Field Summary

Fields
Modifier and Type
Field
Description
`Rectangle`
`actionClickArea`
The action area.
`List<CommandButtonLayoutManager.TextLayoutInfo>`
`extraTextLayoutInfoList`
Layout information for the command button extra text (that can span multiple lines).
`Rectangle`
`iconRect`
Rectangle for the command button icon.
`boolean`
`isTextInActionArea`
Indication whether the command button text (rectangles in `textLayoutInfoList`) belongs in the action area.
`Rectangle`
`popupActionRect`
Rectangle for the icon associated with the `popupClickArea`.
`Rectangle`
`popupClickArea`
The popup area.
`Rectangle`
`separatorArea`
The separator area.
`CommandButtonLayoutManager.CommandButtonSeparatorOrientation`
`separatorOrientation`
`List<CommandButtonLayoutManager.TextLayoutInfo>`
`textLayoutInfoList`
Layout information for the command button text (that can span multiple lines).

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonLayoutInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### actionClickArea

public Rectangle actionClickArea
The action area. A mouse click in this area will trigger all listeners associated with the command button action model `AbstractCommandButton.addActionListener(java.awt.event.ActionListener)`

### popupClickArea

public Rectangle popupClickArea
The popup area. A mouse click in this area will trigger the listener associated with the command button popup model `JCommandButton.setPopupCallback(org.pushingpixels.flamingo.api.common.popup.PopupPanelCallback)`

### separatorArea

public Rectangle separatorArea
The separator area. If it's not empty, the command button will show a separator between `actionClickArea` and `popupClickArea` on mouse rollover - depending on the current look-and-feel.

### separatorOrientation

public CommandButtonLayoutManager.CommandButtonSeparatorOrientation separatorOrientation

### iconRect

public Rectangle iconRect
Rectangle for the command button icon.

### textLayoutInfoList

public List<CommandButtonLayoutManager.TextLayoutInfo> textLayoutInfoList
Layout information for the command button text (that can span multiple lines).

### extraTextLayoutInfoList

public List<CommandButtonLayoutManager.TextLayoutInfo> extraTextLayoutInfoList
Layout information for the command button extra text (that can span multiple lines).

### popupActionRect

public Rectangle popupActionRect
Rectangle for the icon associated with the `popupClickArea`. This icon is usually a single or double arrow indicating that the command button has a popup area.

### isTextInActionArea

public boolean isTextInActionArea
Indication whether the command button text (rectangles in `textLayoutInfoList`) belongs in the action area.

## Constructor Details

### CommandButtonLayoutInfo

public CommandButtonLayoutInfo()